<?php
/**
 * NOTICE OF LICENSE
 *
 * All right is reserved,
 * Please go through LICENSE.txt file inside our module
 *
 * DISCLAIMER
 *
 * Do not edit or add to this file if you wish to upgrade this module to newer
 * versions in the future. If you wish to customize this module for your
 * needs please refer to CustomizationPolicy.txt file inside our module for more information.
 *
 * @author Webkul IN
 * @copyright since 2010 Webkul
 * @license LICENSE.txt
 */
if (!defined('_PS_VERSION_')) {
    exit;
}

class WkVirtualCombinationDb
{
    public function createTable()
    {
        $success = true;
        $db = Db::getInstance();
        $queries = $this->getDbTableQueries();

        foreach ($queries as $query) {
            $success &= $db->execute($query);
        }

        return $success;
    }

    protected function getDbTableQueries()
    {
        return [
            'CREATE TABLE IF NOT EXISTS `' . _DB_PREFIX_ . "wk_product_download` (
                `id_wk_product_download` int(10) unsigned NOT NULL auto_increment,
                `id_product` int(10) unsigned NOT NULL,
                `id_product_attribute` int(10) unsigned NOT NULL,
                `display_filename` varchar(255) DEFAULT NULL,
                `filename` varchar(255) DEFAULT NULL,
                `date_add` datetime NOT NULL,
                `date_expiration` datetime DEFAULT NULL,
                `nb_days_accessible` int(10) UNSIGNED DEFAULT NULL,
                `nb_downloadable` int(10) UNSIGNED DEFAULT '1',
                `active` tinyint(1) UNSIGNED NOT NULL DEFAULT '1',
                `is_shareable` tinyint(1) UNSIGNED NOT NULL DEFAULT '0',
                `is_virtual_file` tinyint(1) UNSIGNED NOT NULL DEFAULT '1',
                PRIMARY KEY  (`id_wk_product_download`)
            ) ENGINE=" . _MYSQL_ENGINE_ . ' DEFAULT CHARSET=utf8',
            'CREATE TABLE IF NOT EXISTS `' . _DB_PREFIX_ . "wk_product_download_shop` (
                `id_wk_product_download` int(10) unsigned NOT NULL auto_increment,
                `id_shop` int(10) unsigned NOT NULL,
                `id_product` int(10) unsigned NOT NULL,
                `id_product_attribute` int(10) unsigned NOT NULL,
                `display_filename` varchar(255) DEFAULT NULL,
                `filename` varchar(255) DEFAULT NULL,
                `date_add` datetime NOT NULL,
                `date_expiration` datetime DEFAULT NULL,
                `nb_days_accessible` int(10) UNSIGNED DEFAULT NULL,
                `nb_downloadable` int(10) UNSIGNED DEFAULT '1',
                `active` tinyint(1) UNSIGNED NOT NULL DEFAULT '1',
                `is_shareable` tinyint(1) UNSIGNED NOT NULL DEFAULT '0',
                `is_virtual_file` tinyint(1) UNSIGNED NOT NULL DEFAULT '1',
                PRIMARY KEY  (`id_wk_product_download`,`id_shop`)
            ) ENGINE=" . _MYSQL_ENGINE_ . ' DEFAULT CHARSET=utf8',

            'CREATE TABLE IF NOT EXISTS `' . _DB_PREFIX_ . "wk_virtual_order` (
                `id_wk_virtual_order` int(10) unsigned NOT NULL auto_increment,
                `id_order_detail` int(10) unsigned NULL,
                `id_product` int(10) unsigned NULL,
                `id_product_attribute` int(10) unsigned NULL,
                `download_nb` int(10) unsigned NOT NULL DEFAULT '0',
                `download_hash` varchar(255) DEFAULT NULL,
                `download_deadline` datetime DEFAULT NULL,
                PRIMARY KEY  (`id_wk_virtual_order`)
            ) ENGINE=" . _MYSQL_ENGINE_ . ' DEFAULT CHARSET=utf8',
            'CREATE TABLE IF NOT EXISTS `' . _DB_PREFIX_ . 'wk_virtual_combination_available` (
                `id_wk_virtual_combination_available` int(10) unsigned NOT NULL auto_increment,
                `id_product` int(10) unsigned NOT NULL,
                `availabe` tinyint(1) NOT NULL,
                PRIMARY KEY (`id_wk_virtual_combination_available`)
            ) ENGINE=ENGINE_TYPE DEFAULT CHARSET=utf8',
            'CREATE TABLE IF NOT EXISTS `' . _DB_PREFIX_ . 'wk_virtual_combination_available_shop` (
                `id_wk_virtual_combination_available` int(10) unsigned NOT NULL auto_increment,
                `id_shop` int(10) unsigned NOT NULL,
                `id_product` int(10) unsigned NOT NULL,
                `availabe` tinyint(1) NOT NULL,
                PRIMARY KEY (`id_wk_virtual_combination_available`, `id_shop`)
            ) ENGINE=ENGINE_TYPE DEFAULT CHARSET=utf8',
        ];
    }

    public function deleteTables()
    {
        return Db::getInstance()->execute('
            DROP TABLE IF EXISTS
            `' . _DB_PREFIX_ . 'wk_product_download`,
            `' . _DB_PREFIX_ . 'wk_virtual_order`,
            `' . _DB_PREFIX_ . 'wk_product_download_shop`,
            `' . _DB_PREFIX_ . 'wk_virtual_combination_available`,
            `' . _DB_PREFIX_ . 'wk_virtual_combination_available_shop`;
        ');
    }
}
