<?php
/**
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Academic Free License version 3.0
 * that is bundled with this package in the file LICENSE.txt
 * It is also available through the world-wide-web at this URL:
 * https://opensource.org/licenses/AFL-3.0
 *
 * DISCLAIMER
 *
 * Do not edit or add to this file if you wish to upgrade this module to a newer
 * versions in the future. If you wish to customize this module for your
 * needs please refer to CustomizationPolicy.txt file inside our module for more information.
 *
 * @author Webkul IN
 * @copyright Since 2010 Webkul
 * @license https://opensource.org/licenses/AFL-3.0 Academic Free License version 3.0
 */
if (!defined('_PS_VERSION_')) {
    exit;
}

function upgrade_module_4_1_0($module)
{
    $module->registerHook(['displayAdminProductsExtra', 'actionAfterUpdateProductFormHandler']);
    if (version_compare(_PS_VERSION_, '1.7.8.9', '>')) {
        $module->installTab('AdminWkVirtualCombination', 'Virtual Combination File', 'AdminCatalog');
    }
    $queries = [
        'CREATE TABLE IF NOT EXISTS `' . _DB_PREFIX_ . 'wk_virtual_combination_available` (
            `id_wk_virtual_combination_available` int(10) unsigned NOT NULL auto_increment,
            `id_product` int(10) unsigned NOT NULL,
            `availabe` tinyint(1) NOT NULL,
            PRIMARY KEY (`id_wk_virtual_combination_available`)
        ) ENGINE=ENGINE_TYPE DEFAULT CHARSET=utf8',
        'CREATE TABLE IF NOT EXISTS `' . _DB_PREFIX_ . 'wk_virtual_combination_available_shop` (
            `id_wk_virtual_combination_available` int(10) unsigned NOT NULL auto_increment,
            `id_shop` int(10) unsigned NOT NULL,
            `id_product` int(10) unsigned NOT NULL,
            `availabe` tinyint(1) NOT NULL,
            PRIMARY KEY (`id_wk_virtual_combination_available`, `id_shop`)
        ) ENGINE=ENGINE_TYPE DEFAULT CHARSET=utf8',
    ];
    $db = Db::getInstance();
    $success = true;
    foreach ($queries as $query) {
        $success &= $db->execute($query);
    }
    if ($success) {
        return true;
    }

    return true;
}
