/**
 * NOTICE OF LICENSE
 *
 * All right is reserved,
 * Please go through LICENSE.txt file inside our module
 *
 * DISCLAIMER
 *
 * Do not edit or add to this file if you wish to upgrade this module to newer
 * versions in the future. If you wish to customize this module for your
 * needs please refer to CustomizationPolicy.txt file inside our module for more information.
 *
 * @author Webkul IN
 * @copyright since 2010 Webkul
 * @license LICENSE.txt
 */

$(document).ready(function () {
  if (virtualTypeProduct === "2") {
    $("#form_step1_type_product").prop("disabled", false);
    $("#form_step1_type_product").val(2);
    $("#virtual_product").show();
    $('#form-nav a[href="#step3"]').text(wkVirtualProductJS);
    $('#form-nav a[href="#step4"]').hide();
  }

  $("#form_step1_type_product").change(function () {
    displayFieldsManager.refresh();
  });

  //use proxy pattern to override form.js function
  var overrideDisplayFieldsManager = window.displayFieldsManager;
  var typeProduct = $("#form_step1_type_product");
  if (overrideDisplayFieldsManager !== undefined) {
    overrideDisplayFieldsManager.checkAccessVariations = function () {
      var showVariationsSelector = $("#show_variations_selector");
      var typeOfProduct = this.getProductType();
      if (
        showVariationsSelector.find("input:checked").val() === "0" &&
        typeProduct.val() === "2"
      ) {
        setTimeout(function () {
          showVariationsSelector.show();
        }, 100);
      }

      if (
        (showVariationsSelector.find("input:checked").val() === "1" ||
          $("#accordion_combinations tr:not(#loading-attribute)").length > 0) &&
        typeProduct.val() === "1"
      ) {
        var errorMessage =
          "You can't create " +
          typeOfProduct +
          " product with variations. Are you sure to disable variations ? they will all be deleted.";
        modalConfirmation
          .create(translate_javascripts[errorMessage], null, {
            onCancel: function () {
              typeProduct.val(0).change();
              /* else the radio bouton is not display even if checked attribute is true */
              $('#show_variations_selector input[value="1"]').click();
            },
            onContinue: function () {
              $.ajax({
                type: "GET",
                url: $("#accordion_combinations")
                  .attr("data-action-delete-all")
                  .replace(
                    /delete-all\/\d+/,
                    "delete-all/" + $("#form_id_product").val()
                  ),
                success: function () {
                  $("#accordion_combinations .combination").remove();
                  displayFieldsManager.refresh();
                },
                error: function (response) {
                  showErrorMessage(
                    jQuery.parseJSON(response.responseText).message
                  );
                },
              });
            },
          })
          .show();
      }
    };
  }

  var displayFieldsManager = (function () {
    return {
      refresh: function () {
        /** product type switch */
        var showVariationsSelector = $("#show_variations_selector");
        if (typeProduct.val() === "2") {
          showVariationsSelector.show();
          $("#virtual_product").show();
          $('#form-nav a[href="#step4"]').hide();
          if (showVariationsSelector.find("input:checked").val() === "1") {
            $("#virtual_product").hide();
          }
          //showVariationsSelector.find('input[value="1"]').attr('checked', true);
          $('#form-nav a[href="#step3"]').text(wkVirtualProductJS);
        }
      },
    };
  })();

  $(document).on("change", "#show_variations_selector input", function () {
    var radioChecked = $(this).val();
    setTimeout(function () {
      if (radioChecked === "1" && $("#form_step1_type_product").val() === "2") {
        displayFieldsManager.refresh();
        $("#form_step1_type_product").prop("disabled", false);
      }
    }, 100);
  });

  //call after every ajax complete to keep virtual tab
  $(document).ajaxComplete(function () {
    displayFieldsManager.refresh();
  });

  //hide Impact on weight for virtual combination
  $(document).on("click", ".btn-open", function () {
    if (virtualTypeProduct === "2") {
      var hrefAttribute = $(this).attr("href");
      var attributeString = hrefAttribute.split("_");
      var attribute;
      $.each(attributeString, function (key, value) {
        attribute = value;
      });
      $("#combination_" + attribute + "_attribute_weight")
        .closest("fieldset")
        .hide();
    }
  });

  $(document).on("click", '.change-status input[type="radio"]', function () {
    var attributeId = $(this).attr("attribute_id");
    if ($(this).val() === "1") {
      $("#virtual_product_com_content_" + attributeId).show();
    } else {
      //$('#virtual_product_com_content_'+attributeId).hide();
    }
  });

  $(document).on("change", ".wk-virtual-file", function (e) {
    var attributeId = $(this).attr("attribute_id");
    if ($(this)[0].files !== undefined) {
      var files = $(this)[0].files;
      var name = "";
      $.each(files, function (index, value) {
        name += value.name + ", ";
      });
      $("#form_step3_virtual_product_com_name_" + attributeId).val(
        name.slice(0, -2)
      );
    } else {
      // Internet Explorer 9 Compatibility
      var name = $(this).val().split(/[\\/]/);
      $("#form_step3_virtual_product_com_name_" + attributeId).val(
        name[name.length - 1]
      );
    }
  });

  /** save virtual product */
  $(document).on("click", ".wk-virtual-file-save", function () {
    var attributeId = $(this).attr("attribute_id");
    var wkFormData = new FormData();
    if ($("#form_step3_virtual_product_com_file_" + attributeId)[0].files[0]) {
      wkFormData.append(
        "product_virtual_com[file]",
        $("#form_step3_virtual_product_com_file_" + attributeId)[0].files[0]
      );
    }

    wkFormData.append(
      "product_virtual_com[is_virtual_file]",
      $(
        'input[name="form[step3][virtual_product_com][is_virtual_file_' +
          attributeId +
          ']"]:checked'
      ).val()
    );
    wkFormData.append(
      "product_virtual_com[name]",
      $("#form_step3_virtual_product_com_name_" + attributeId).val()
    );
    wkFormData.append(
      "product_virtual_com[nb_downloadable]",
      $("#form_step3_virtual_product_com_nb_downloadable_" + attributeId).val()
    );
    wkFormData.append(
      "product_virtual_com[expiration_date]",
      $("#form_step3_virtual_product_com_expiration_date_" + attributeId).val()
    );
    wkFormData.append(
      "product_virtual_com[nb_days]",
      $("#form_step3_virtual_product_com_nb_days_" + attributeId).val()
    );
    wkFormData.append(
      "product_virtual_com[id_product]",
      $("#wk_id_product_" + attributeId).val()
    );
    wkFormData.append(
      "product_virtual_com[id_product_attribute]",
      $("#wk_id_product_attribute_" + attributeId).val()
    );
    wkFormData.append("action", "postData");
    $.ajax({
      type: "POST",
      url: $("#virtual_product_com_" + attributeId).attr("data-action"),
      dataType: "json",
      contentType: false,
      processData: false,
      data: wkFormData,
      success: function (response) {
        if (jQuery.isEmptyObject(response.errors)) {
          if (response.success.file_download_link) {
            $(
              "#form_step3_virtual_product_com_file_details_" +
                attributeId +
                " a.download"
            ).attr("href", response.success.file_download_link);
            $("#form_step3_virtual_product_com_file_input_" + attributeId)
              .removeClass("show")
              .addClass("hide");
            $("#form_step3_virtual_product_com_file_details_" + attributeId)
              .removeClass("hide")
              .addClass("show");
            showSuccessMessage(response.success.msg);
          }
        } else {
          $.each(response.errors, function (key, error) {
            showErrorMessage(error);
          });
        }
      },
      error: function (xhr) {
        if (xhr.responseText == "") {
          showErrorMessage(upload_file_error);
        }
      },
    });
  });

  //Delete virtual product file
  $(document).on("click", ".wk-virtual-file-delete .delete", function (e) {
    e.preventDefault();
    var deleteUrl = $(this).attr("href");
    var attributeId = $(this).attr("attribute_id");
    modalConfirmation
      .create(wkConfirmation, null, {
        onContinue: function () {
          return $.ajax({
            type: "GET",
            url: deleteUrl,
            data: {
              ajax: true,
              action: "updateFile",
              id_product: $("#wk_id_product_" + attributeId).val(),
              id_product_attribute: attributeId,
            },
            success: function () {
              $("#form_step3_virtual_product_com_file_input_" + attributeId)
                .removeClass("hide")
                .addClass("show");
              $("#form_step3_virtual_product_com_file_details_" + attributeId)
                .removeClass("show")
                .addClass("hide");
            },
          });
        },
      })
      .show();
  });

  //To update associated file status
  $(document).on("click", ".wk-no-file", function () {
    var attributeId = $(this).attr("attribute_id");
    modalConfirmation
      .create(inactive_virtual_file_message, null, {
        onCancel: function () {
          $(
            'input[name="form[step3][virtual_product_com][is_virtual_file_' +
              attributeId +
              ']"][value=1]'
          ).prop("checked", true);
        },
        onContinue: function () {
          return $.ajax({
            type: "GET",
            url: $("#virtual_product_com_" + attributeId).attr("data-action"),
            data: {
              ajax: true,
              action: "deleteFile",
              id_product: $("#wk_id_product_" + attributeId).val(),
              id_product_attribute: attributeId,
            },
            success: function () {
              $(
                "#form_step3_virtual_product_com_file_input_" + attributeId
              ).removeClass("hide")
              .addClass("show");
              $(
                "#form_step3_virtual_product_com_file_details_" + attributeId
              ).removeClass("show")
              .addClass("hide");
              $("#virtual_product_com_content_" + attributeId).hide();
            },
          });
        },
      })
      .show();
  });
});
