/**
 * NOTICE OF LICENSE
 *
 * All right is reserved,
 * Please go through LICENSE.txt file inside our module
 *
 * DISCLAIMER
 *
 * Do not edit or add to this file if you wish to upgrade this module to newer
 * versions in the future. If you wish to customize this module for your
 * needs please refer to CustomizationPolicy.txt file inside our module for more information.
 *
 * @author Webkul IN
 * @copyright since 2010 Webkul
 * @license LICENSE.txt
 */

$(document).ready(function () {
  $(".expir-datepicker").datepicker({
    showOtherMonths: true,
    dateFormat: 'yy-mm-dd',
  });
  $(document).on("click", '.change-status input[type="radio"]', function () {
    var attributeId = $(this).attr("attribute_id");
    if ($(this).val() === "1") {
      $("#virtual_product_com_content_" + attributeId).show();
    } else {
      $('#virtual_product_com_content_'+attributeId).hide();
    }
  });

  $(document).on("change", ".wk-virtual-file", function (e) {
    var attributeId = $(this).attr("attribute_id");
    if ($(this)[0].files !== undefined) {
      var files = $(this)[0].files;
      var name = "";
      $.each(files, function (index, value) {
        name += value.name + ", ";
      });
      $("#form_step3_virtual_product_com_name_" + attributeId).val(
        name.slice(0, -2)
      );
    } else {
      // Internet Explorer 9 Compatibility
      var name = $(this).val().split(/[\\/]/);
      $("#form_step3_virtual_product_com_name_" + attributeId).val(
        name[name.length - 1]
      );
    }
  });

  //Delete virtual product file
  $(document).on("click", ".wk-virtual-file-delete .delete", function (e) {
    e.preventDefault();
    var deleteUrl = $(this).attr("href");
    var attributeId = $(this).attr("attribute_id");
    $.ajax({
      type: "GET",
      url: deleteUrl,
      dataType: "json",
      data: {
        ajax: true,
        action: "updateFile",
        id_product: $("#wk_id_product_" + attributeId).val(),
        id_product_attribute: attributeId,
      },
      success: function (response) {
        $("#form_step3_virtual_product_com_file_input_" + attributeId)
          .removeClass("hide")
          .addClass("show");
        $("#form_step3_virtual_product_com_file_details_" + attributeId)
          .removeClass("show")
          .addClass("hide");
        showSuccessMessage(response.success.msg);
      },
    });
  });

  /** save virtual product */
  $(document).on("click", ".wk-virtual-file-save", function () {
    var attributeId = $(this).attr("attribute_id");
    let enable_combi = $(
      'input[name="form[step3][virtual_product_com][is_virtual_file_' +
        attributeId +
        ']"]:checked'
    ).val();
    if (enable_combi == 1) {
      var wkFormData = new FormData();
      if ($("#form_step3_virtual_product_com_file_" + attributeId)[0].files[0]) {
        wkFormData.append(
          "product_virtual_com[file]",
          $("#form_step3_virtual_product_com_file_" + attributeId)[0].files[0]
        );
      }

      wkFormData.append(
        "product_virtual_com[is_virtual_file]",
        $(
          'input[name="form[step3][virtual_product_com][is_virtual_file_' +
            attributeId +
            ']"]:checked'
        ).val()
      );
      wkFormData.append(
        "product_virtual_com[name]",
        $("#form_step3_virtual_product_com_name_" + attributeId).val()
      );
      wkFormData.append(
        "product_virtual_com[nb_downloadable]",
        $("#form_step3_virtual_product_com_nb_downloadable_" + attributeId).val()
      );
      wkFormData.append(
        "product_virtual_com[expiration_date]",
        $("#form_step3_virtual_product_com_expiration_date_" + attributeId).val()
      );
      wkFormData.append(
        "product_virtual_com[nb_days]",
        $("#form_step3_virtual_product_com_nb_days_" + attributeId).val()
      );
      wkFormData.append(
        "product_virtual_com[id_product]",
        $("#wk_id_product_" + attributeId).val()
      );
      wkFormData.append(
        "product_virtual_com[id_product_attribute]",
        $("#wk_id_product_attribute_" + attributeId).val()
      );
      wkFormData.append("action", "postData");
      $.ajax({
        type: "POST",
        url: $("#virtual_product_com_" + attributeId).attr("data-action"),
        dataType: "json",
        contentType: false,
        processData: false,
        data: wkFormData,
        success: function (response) {
          if (jQuery.isEmptyObject(response.errors)) {
            if (response.success.file_download_link) {
              $(
                "#form_step3_virtual_product_com_file_details_" +
                  attributeId +
                  " a.download"
              ).attr("href", response.success.file_download_link);
              $("#form_step3_virtual_product_com_file_input_" + attributeId)
              .removeClass("show")
              .addClass("hide");
              $("#form_step3_virtual_product_com_file_details_" + attributeId)
              .removeClass("hide")
              .addClass("show");
              showSuccessMessage(response.success.msg);
              $('#combinationModal-'+attributeId).modal('toggle');
              $('[data-target="#combinationModal-'+attributeId+'"]').text(wk_edit);
            }
          } else {
            $.each(response.errors, function (key, error) {
              showErrorMessage(error);
            });
          }
        },
        error: function (xhr) {
          if (xhr.responseText == "") {
            showErrorMessage(upload_file_error);
          }
        },
      });
    } else {
      return $.ajax({
        type: "GET",
        url: $("#virtual_product_com_" + attributeId).attr("data-action"),
        dataType: "json",
        data: {
          ajax: true,
          action: "deleteFile",
          id_product: $("#wk_id_product_" + attributeId).val(),
          id_product_attribute: attributeId,
        },
        success: function (response) {
          $(
            "#form_step3_virtual_product_com_file_input_" + attributeId
          ).removeClass("hide")
          .addClass("show");
          $(
            "#form_step3_virtual_product_com_file_details_" + attributeId
          ).removeClass("show")
          .addClass("hide");
          $("#virtual_product_com_content_" + attributeId).hide();
          showSuccessMessage(response.success.msg);
          $('#combinationModal-'+attributeId).modal('toggle');
        },
      });
    }
  });

  //Delete virtual product file
  $(document).on("click", ".wk-virtual-file-delete .delete", function (e) {
    e.preventDefault();
    var deleteUrl = $(this).attr("href");
    var attributeId = $(this).attr("attribute_id");
    return $.ajax({
      type: "GET",
      url: deleteUrl,
      data: {
        ajax: true,
        action: "updateFile",
        id_product: $("#wk_id_product_" + attributeId).val(),
        id_product_attribute: attributeId,
      },
      success: function () {
        $("#form_step3_virtual_product_com_file_input_" + attributeId)
          .removeClass("hide")
          .addClass("show");
        $("#form_step3_virtual_product_com_file_details_" + attributeId)
          .removeClass("show")
          .addClass("hide");
      },
    });
  });
});
