{*
* NOTICE OF LICENSE
*
* This source file is subject to the Academic Free License version 3.0
* that is bundled with this package in the file LICENSE.txt
* It is also available through the world-wide-web at this URL:
* https://opensource.org/licenses/AFL-3.0
*
* DISCLAIMER
*
* Do not edit or add to this file if you wish to upgrade this module to a newer
* versions in the future. If you wish to customize this module for your
* needs please refer to CustomizationPolicy.txt file inside our module for more information.
*
* @author Webkul IN
* @copyright Since 2010 Webkul
* @license https://opensource.org/licenses/AFL-3.0 Academic Free License version 3.0
*}
<style>
.expir-datepicker{ z-index:99999 !important; }
</style>
<div class="panel">
    <div class="panel-heading">
        {l s='Combinations' mod='wkvirtualcombination'}
    </div>
    {if !empty($combinations)}
        <div class="combinations-list">
            <table class="table">
                <thead class="thead-default">
                    <tr>
                        <th>{l s='Combinations' mod='wkvirtualcombination'}</th>
                        <th>{l s='Action' mod='wkvirtualcombination'}</th>
                    </tr>
                </thead>
                <tbody>
                    {foreach $combinations as $combination}
                        <tr>
                            <td>{$combination['name']|escape:'htmlall':'UTF-8'}</td>
                            <td>
                                <div class="btn-group btn-group-sm" role="group">
                                    <button type="button" class="btn btn-outline-secondary" data-toggle="modal" data-target="#combinationModal-{$combination['id_product_attribute']|escape:'htmlall':'UTF-8'}">
                                        {if $combination['virtual_file_data']}
                                            {l s='Edit' mod='wkvirtualcombination'}
                                        {else}
                                            {l s='Add' mod='wkvirtualcombination'}
                                        {/if}
                                    </button>
                                </div>
                            </td>
                        </tr>
                    {/foreach}
                </tbody>
            </table>
            {foreach $combinations as $combination}
                <div class="modal fade" id="combinationModal-{$combination['id_product_attribute']|escape:'htmlall':'UTF-8'}" tabindex="-1" role="dialog" aria-labelledby="combinationModalLabel" aria-hidden="true">
                    <div class="modal-dialog" role="document">
                        <div class="modal-content">
                        <div class="modal-header" style="display: flex;">
                            <h4 class="modal-title" style="line-height: 1.5; font-weight: 700;">{l s='Combination' mod='wkvirtualcombination'}: {$combination['name']|escape:'htmlall':'UTF-8'}</h4>
                            <button type="button" class="close" data-dismiss="modal" style="padding: 1.25rem;
                            margin: -1.825rem -1.25rem -1.25rem auto;
                            cursor: pointer;" aria-label="Close">
                            &times;
                            </button>
                        </div>
                        <div class="modal-body">
                            <div id="virtual_product_com_{$combination['id_product_attribute']|escape:'htmlall':'UTF-8'}" data-action="{$virtual_upload_link|escape:'htmlall':'UTF-8'}">
                                <div class="row">
                                    <div class="form-group">
                                        <label class="control-label col-lg-6">{l s='Does this combination have an associated file?' mod='wkvirtualcombination'}</label>
                                        <div class="col-lg-6 change-status">
                                            <span class="switch prestashop-switch fixed-width-lg">
                                            <input type="radio" name="form[step3][virtual_product_com][is_virtual_file_{$combination['id_product_attribute']|escape:'htmlall':'UTF-8'}]" id="active_on" value="1" attribute_id="{$combination['id_product_attribute']|escape:'htmlall':'UTF-8'}" {if isset($combination.virtual_file_data.is_virtual_file)} checked="checked" {/if}>
                                            <label for="active_on">{l s='Yes' mod='wkvirtualcombination'}</label>
                                            <input type="radio" name="form[step3][virtual_product_com][is_virtual_file_{$combination['id_product_attribute']|escape:'htmlall':'UTF-8'}]" id="active_off" value="0" attribute_id="{$combination['id_product_attribute']|escape:'htmlall':'UTF-8'}" class="wk-no-file" {if !isset($combination.virtual_file_data.is_virtual_file)} checked="checked" {/if}>
                                            <label for="active_off">{l s='No' mod='wkvirtualcombination'}</label>
                                            <a class="slide-button btn"></a>
                                        </span>
                                        </div>
                                    </div>
                                </div>
                                <div id="virtual_product_com_content_{$combination['id_product_attribute']|escape:'htmlall':'UTF-8'}" class="" {if !isset($combination.virtual_file_data.is_virtual_file)} style="display:none;" {/if}>
                                    <div class="form-group">
                                        <input type="hidden" id="wk_id_product_{$combination['id_product_attribute']|escape:'htmlall':'UTF-8'}" value="{$id_product|escape:'htmlall':'UTF-8'}">
                                        <input type="hidden" id="wk_id_product_attribute_{$combination['id_product_attribute']|escape:'htmlall':'UTF-8'}" value="{$combination['id_product_attribute']|escape:'htmlall':'UTF-8'}">
                                        <label class="form-control-label">
                                            <span class="label-tooltip" data-toggle="tooltip" title="" data-original-title="{l s='Upload a file from your computer (%d MB max.)' sprintf=$max_upload_size mod='wkvirtualcombination'}">{l s='File' mod='wkvirtualcombination'}</span>
                                        </label>
                                        <div id="form_step3_virtual_product_com_file_input_{$combination['id_product_attribute']|escape:'htmlall':'UTF-8'}" class="{if isset($combination.virtual_file_data.filename) && !empty($combination.virtual_file_data.filename)}hide{else}show{/if}">
                                            <input type="file" id="form_step3_virtual_product_com_file_{$combination['id_product_attribute']|escape:'htmlall':'UTF-8'}" name="form[step3][virtual_product_com][file]" class="wk-virtual-file" attribute_id="{$combination['id_product_attribute']|escape:'htmlall':'UTF-8'}" >
                                            <span class="help-block">{l s='Upload a file from your computer (%d MB max.)' sprintf=$max_upload_size mod='wkvirtualcombination'}</span>
                                        </div>
                                        <div id="form_step3_virtual_product_com_file_details_{$combination['id_product_attribute']|escape:'htmlall':'UTF-8'}" class="wk-virtual-file-delete {if isset($combination.virtual_file_data.filename) &&!empty($combination.virtual_file_data.filename)}show{else}hide{/if}">
                                            <a href="{if isset($combination.virtual_file_data.download_link)}{$combination.virtual_file_data.download_link|escape:'htmlall':'UTF-8'}{/if}" class="btn btn-default btn-sm download">{l s='Download file' mod='wkvirtualcombination'}</a>
                                            <a href="{$virtual_upload_link|escape:'htmlall':'UTF-8'}" class="btn btn-danger btn-sm delete" attribute_id="{$combination['id_product_attribute']|escape:'htmlall':'UTF-8'}">{l s='Delete this file' mod='wkvirtualcombination'}</a>
                                        </div>
                                    </div>
                                    <div class="form-group row">
                                        <div class="col-md-6">
                                                <label class="form-control-label">{l s='Filename' mod='wkvirtualcombination'} <span class="help-box" data-toggle="popover"
                                                        data-content="{l s='The full filename with its extension (e.g. Book.pdf)' mod='wkvirtualcombination'}" ></span></label>

                                                <input type="text" id="form_step3_virtual_product_com_name_{$combination['id_product_attribute']|escape:'htmlall':'UTF-8'}" name="form[step3][virtual_product_com][name]" value="{if isset($combination.virtual_file_data.display_filename)}{$combination.virtual_file_data.display_filename|escape:'htmlall':'UTF-8'}{/if}" class="form-control">
                                                <span class="help-block">{l s='The full filename with its extension (e.g. Book.pdf)' mod='wkvirtualcombination'}</span>
                                        </div>
                                        <div class="col-md-6">
                                                <label class="form-control-label">{l s='Number of allowed downloads' mod='wkvirtualcombination'} <span class="help-box" data-toggle="popover"
                                                        data-content="{l s='Number of downloads allowed per customer. Set to 0 for unlimited downloads.' mod='wkvirtualcombination'}" ></span></label>

                                                <input type="text" id="form_step3_virtual_product_com_nb_downloadable_{$combination['id_product_attribute']|escape:'htmlall':'UTF-8'}" name="form[step3][virtual_product_com][nb_downloadable]" value="{if isset($combination.virtual_file_data.nb_downloadable)}{$combination.virtual_file_data.nb_downloadable|escape:'htmlall':'UTF-8'}{else}0{/if}" class="form-control">
                                                <span class="help-block">{l s='Number of downloads allowed per customer. Set to 0 for unlimited downloads.' mod='wkvirtualcombination'}</span>
                                        </div>
                                    </div>
                                    <div class="form-group row">
                                        <div class="col-md-6">
                                                <label class="form-control-label">{l s='Expiration date' mod='wkvirtualcombination'} <span class="help-box" data-toggle="popover"
                                                        data-content="{l s='If set, the file will not be downloadable after this date. Leave blank if you do not wish to attach an expiration date.' mod='wkvirtualcombination'}" ></span></label>

                                                <div class="input-group datepicker">
                                                    <input type="text" class="form-control expir-datepicker" value="{if isset($combination.virtual_file_data.date_expiration)}{$combination.virtual_file_data.date_expiration|escape:'htmlall':'UTF-8'}{/if}" id="form_step3_virtual_product_com_expiration_date_{$combination['id_product_attribute']|escape:'htmlall':'UTF-8'}" name="form[step3][virtual_product_com][expiration_date]" placeholder="YYYY-MM-DD">
                                                    <span class="input-group-addon"><i class="icon-calendar-empty"></i></span>
                                                </div>
                                                <span class="help-block">{l s='If set, the file will not be downloadable after this date. Leave blank if you do not wish to attach an expiration date.' mod='wkvirtualcombination'}</span>
                                        </div>
                                        <div class="col-md-6">
                                                <label class="form-control-label">{l s='Number of days' mod='wkvirtualcombination'} <span class="help-box" data-toggle="popover"
                                                        data-content="{l s='Number of days this file can be accessed by customers. Set to zero for unlimited access.' mod='wkvirtualcombination'}" ></span></label>

                                                <input type="text" id="form_step3_virtual_product_com_nb_days_{$combination['id_product_attribute']|escape:'htmlall':'UTF-8'}" name="form[step3][virtual_product_com][nb_days]" class="form-control" value="{if isset($combination.virtual_file_data.nb_days_accessible)}{$combination.virtual_file_data.nb_days_accessible|escape:'htmlall':'UTF-8'}{else}0{/if}" >
                                                <span class="help-block">{l s='Number of days this file can be accessed by customers. Set to zero for unlimited access.' mod='wkvirtualcombination'}</span>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="modal-footer">
                            <button type="button" class="btn btn-secondary" data-dismiss="modal">{l s='Close' mod='wkvirtualcombination'}</button>
                            <button style="text-transform: capitalize;" type="button" id="form_step3_virtual_product_com_save_{$combination['id_product_attribute']|escape:'htmlall':'UTF-8'}" name="form[step3][virtual_product_com][save]" class="btn-primary pull-right btn wk-virtual-file-save" attribute_id="{$combination['id_product_attribute']|escape:'htmlall':'UTF-8'}">{l s='Save' mod='wkvirtualcombination'}</button>
                        </div>
                        </div>
                    </div>
                </div>
            {/foreach}
        </div>
        ({l s='To create/edit combination, please ' mod='wkvirtualcombination'}
        <a href="{$bo_product_link|escape:'htmlall':'UTF-8'}#tab-product_combinations-tab" target="_blank">
        {l s='click here' mod='wkvirtualcombination'}
        </a>)
    {else}
        {l s='Not found combinations. To create please ' mod='wkvirtualcombination'}
        <a href="{$bo_product_link|escape:'htmlall':'UTF-8'}#tab-product_combinations-tab" target="_blank">
        {l s='click here' mod='wkvirtualcombination'}
        </a>
    {/if}
    <div class="panel-footer">
        <a class="btn btn-default" href="{$link->getAdminLink('AdminWkVirtualCombination')|escape:'html':'UTF-8'}">
            <i class="process-icon-cancel"></i> {l s='Back' mod='wkvirtualcombination'}
        </a>
    </div>
</div>